<div class="br-container-lg">
  <%= render partial: "decidim/shared/component_announcement" %>
  <h1 class="participatory-text-title">
    <%= render_participatory_text_title(@participatory_text, @proposals.first) %>
  </h1>
  <% if @proposals.count > 0 %>
  <div class="participatory_texts_buttons">
    <%= render partial: "decidim/shared/export_modal" %>
  </div>
  <% end %>
  <ul class="participatory-text-list" id="proposals-text">
    <% @proposals.each do |proposal| %>
      <% if !proposal.comments_section? && !proposal.is_hidden %>
        <%= cell("decidim/proposals/participatory_text_proposal", proposal, context: { current_user: current_user }) %>
      <% end%>
    <% end %>

    <% if participatory_text_comments(@proposals).present? %>
      <%= comments_for participatory_text_comments(@proposals) %>
    <% end %>

    <% @proposals.each do |proposal| %>
      <% if proposal.comments.length > 0 && !proposal.comments_section? %>
        <%= comments_for proposal, {participatory_text_initial_page: true} %>
      <% end %>
    <% end%>
  </ul>
</div>
